import Qt 4.7
import "EBookReaderCommon.js" as QMLCommonMethod
import "controls"

Rectangle {
    id:ebookreadercontainer
    property variant previouspage
    property variant currentpage
    property variant backpage
    property bool firsttime: true
    property bool latestListIsSearchList: false
    property int lastpagenum
    property int searchResultLastNum: 5
    property int detailLastNum: 4
    property string titlestringforMore:""
    width: 480
    height: 800

    Component.onCompleted:{
        currentpage = QMLCommonMethod.createContainer("MyBookShelf.qml", ebookreadercontainer);
    }

    function changePage(pagenum){

        switch(pagenum){
        case 0:
            previouspage = currentpage;
            currentpage = QMLCommonMethod.createContainer("MyBookShelf.qml", ebookreadercontainer);
            QMLCommonMethod.releaseObject(previouspage);
            break;
        case 1:
            previouspage = currentpage;
            currentpage = QMLCommonMethod.createContainer("ReadingBookPage.qml", ebookreadercontainer);
            QMLCommonMethod.releaseObject(previouspage);
            break;
        case 2:
            previouspage = currentpage;
            currentpage = QMLCommonMethod.createContainer("IndexAndBookmark.qml", ebookreadercontainer);
            QMLCommonMethod.releaseObject(previouspage);
            break;
        case 3:
            previouspage = currentpage;
            currentpage = QMLCommonMethod.createContainer("OnlineSearchingKeyListPage.qml", ebookreadercontainer);
            QMLCommonMethod.releaseObject(previouspage);
            searchResultLastNum = 3;
            break;
        case 4:
            previouspage = currentpage;
            currentpage = QMLCommonMethod.createContainer("OnlineSearchingResultPage.qml", ebookreadercontainer);
            QMLCommonMethod.releaseObject(previouspage);
            detailLastNum = 4;
            break;
        case 5:
            previouspage = currentpage;
            currentpage = QMLCommonMethod.createContainer("OnlineBookShopView.qml", ebookreadercontainer);
            QMLCommonMethod.releaseObject(previouspage);
            searchResultLastNum = 5;
            detailLastNum = 5;
            break;
        case 6:
            previouspage = currentpage;
            currentpage = QMLCommonMethod.createContainer("BookIntroduction.qml", ebookreadercontainer);
            QMLCommonMethod.releaseObject(previouspage);
            break;

        case 7:
            previouspage = currentpage;
            currentpage = QMLCommonMethod.createContainer("MoreRecommandView.qml", ebookreadercontainer);
            QMLCommonMethod.releaseObject(previouspage);
            detailLastNum = 7;
            break;
        case 8:
            previouspage = currentpage;
            currentpage = QMLCommonMethod.createContainer("DownloadCenter.qml", ebookreadercontainer);
            QMLCommonMethod.releaseObject(previouspage);
            break;
        case 9:
            previouspage = currentpage;
            currentpage = QMLCommonMethod.createContainer("MyAccountView.qml", ebookreadercontainer);
            QMLCommonMethod.releaseObject(previouspage);
            break;
        case 10:
            previouspage = currentpage;
            currentpage = QMLCommonMethod.createContainer("HelpAndAbout.qml", ebookreadercontainer);
            QMLCommonMethod.releaseObject(previouspage);
            break;
        case 11:
            previouspage = currentpage;
            currentpage = QMLCommonMethod.createContainer("SettingView.qml", ebookreadercontainer);
            QMLCommonMethod.releaseObject(previouspage);
            break;
        default:
            break;
        }
    }
}

