import Qt 4.7

    Rectangle {
        id:titlebar
        property int titleBarWidth
        property int titleBarHeight
        property string bgImage:"../pics/toptitle.png"
        property string imageBack:"../pics/back1.png"
        property string imageBackPress: "../pics/back2click.png"
        property string titleText:""
        property bool backPressed: false
        property bool imgVisibleFlag: true
        property bool titleBarVisibleFlag:true

        signal clickbackicon

        width: titleBarWidth
        height: titleBarHeight
        Image{
            height: titlebar.titleBarHeight
            width: titlebar.titleBarWidth
            source: bgImage
        }

        Text {
            id:titileText
            x:10
            font.pixelSize: 25
            width: titleBarWidth*3/4
            anchors.verticalCenter: parent.verticalCenter
            elide: Text.ElideRight
            text: titleText
            color: "white"
        }

        Text {
            anchors.right: parent.right;
            anchors.rightMargin: 25
            anchors.verticalCenter: parent.verticalCenter;
            font.pixelSize: 25
            text:
            {
                if(titleBarVisibleFlag)
                {
                    if(timemodel.minute<10){
                        return timemodel.hour+":0"+timemodel.minute
                    }
                    else{
                        return timemodel.hour+":"+timemodel.minute
                    }
                }
                else
                {
                    return "";
                }
            }

            color: "white"
        }

        Image {
            id: background
            width: titleBarHeight*0.8
            height: titleBarHeight*0.8
            anchors{ verticalCenter: parent.verticalCenter; right:parent.right}
            visible:
                {
                    if(imgVisibleFlag)
                    {
                        return true;
                    }
                    else
                    {
                        return false;
                    }
                }

            source:{
                if(backPressed == true)
                {
                    return imageBackPress
                }
                else
                {
                    return imageBack
                }
            }
            smooth: true
            fillMode: Image.Stretch
            MouseArea {
                id:mouse
                anchors.fill: parent
                onPressed: {
                    backPressed = true
                    titlebar.clickbackicon();
                }
                onReleased: {
                    backPressed = false
                }
            }
        }
}
