﻿import Qt 4.7

Rectangle {
    id:container
    anchors.fill: parent

    property int bgwidth:parent.width
    property int bgheigh:parent.height
    property string animatedimagepath: "../pics/loading.png"
    property string detailcontent: "请稍候..."
    property string backgroundImagePath: "../pics/PopupBG.png"

    color: "transparent"
    width: bgwidth
    height: bgheigh
    Image{
        id:bg
        x:0
        y:0
        width: container.bgwidth
        height: container.bgheigh
        source: backgroundImagePath
        MouseArea{
           anchors.fill: parent
        }
    }

    Image {
        id: roatcycle
        anchors.verticalCenter: container.verticalCenter
        anchors.horizontalCenter : container.horizontalCenter
        property int index: 1
        source: "../pics/0" + index + ".png"
        smooth: true

        NumberAnimation on index {
            from: 1; to: 4
            duration: 1200
            running: roatcycle.visible
            loops: Animation.Infinite
        }
    }


    Text{
        id:inloading
        y:roatcycle.y+roatcycle.height+20
        anchors.horizontalCenter : container.horizontalCenter
        text:detailcontent
        font.pixelSize: 25
        color: "white"
        wrapMode: Text.WordWrap
    }

}
