import Qt 4.7

Rectangle {
    id:container

    property int bgwidth:parent.width
    property int bgheigh:parent.height
    property string content: "no content"
    property int timeouttime: 5
    property string backgroundImagePath: "../pics/PopupBG.png"
    property string lineImagePath: "../pics/PopupGreenLine.png"

    width: bgwidth
    height: bgheigh
    color: "transparent"

    signal istimeout

    Image{
        id:bg
        x:0
        y:0
        width: container.bgwidth
        height: container.bgheigh
        source: backgroundImagePath
        MouseArea{
           anchors.fill: parent
        }
    }

    Text {
       id:detailcontent
       x:50
       y:container.height-container.height/3*2
       text:content
       width:container.bgwidth-100
       color: "white"
       font.pixelSize: 25
       wrapMode: Text.WordWrap
    }

    Image{
        id:line
        anchors.horizontalCenter: parent.horizontalCenter
        y: detailcontent.y+detailcontent.height+20
        width: container.bgwidth-20
        source: lineImagePath
    }

    Timer{
         id:timer
         interval: timeouttime*1000
         running: true
         onTriggered: {
             running=false;
             container.istimeout();
         }
    }

}
