import QtQuick 1.0

Rectangle
{
    property int buttonWidth: 139
    property int buttonHeight: 39
    property string buttonName: "none"
    property string imgName: "none"
    signal bookShelfButtonClicked();

    id: myshelfButton
    width: buttonWidth
    height: buttonHeight
    radius: 5
    border.color:"#181818"
    Image {
        anchors.fill: parent
        source: imgName
    }

    Image {
        id: focusButton
        source: "pics/myshelf_button_focus.png"
        visible:mouseArea.pressed
    }

    Text
    {
        anchors.centerIn: parent
        text: buttonName
        color: "#ACABAC"
        font.pixelSize: 25
    }
    MouseArea
    {
        id: mouseArea
        anchors.fill: parent
        onClicked:
        {
              bookShelfButtonClicked();
        }
    }

}


